Debian Bug report logs - #570162
live-initramfs: persistent-path parameter does not work for snapshot files

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Tanguy Ortolo <tanguy+debian@ortolo.eu>

Date: Tue, 16 Feb 2010 22:57:05 UTC

Severity: normal

Tags: patch

Found in version live-initramfs/1.173.1-1

Fixed in version live-initramfs/1.173.5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#570162; Package live-initramfs. (Tue, 16 Feb 2010 22:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 16 Feb 2010 22:57:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: persistent-path parameter does not work for snapshot files
Date: Tue, 16 Feb 2010 23:54:38 +0100
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.173.1-1
Severity: normal
Tags: patch

Hello,

I seems that the parameter persistent-path does not work for finding snapshot files.
Indeed, it is stored in the variable PERSISTENT_PATH, that is only used in the function
find_cow_device. But, for finding snapshot files, it is the function find_files that
is used.

Here is a raw, untested patch that should enable it.

Regards,

-- 
Tanguy Ortolo

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (990, 'stable'), (60, 'testing'), (50, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and embed
ii  file                          4.26-1     Determines file type using "magic"
ii  initramfs-tools               0.93.4     tools for generating an initramfs
ii  sudo                          1.6.9p17-2 Provide limited super user privile
ii  udev                          150-2      /dev/ and hotplug management daemo
pn  user-setup                    <none>     (no description available)

Versions of packages live-initramfs recommends:
ii  eject                    2.1.5+deb1-4    ejects CDs and operates CD-Changer
ii  uuid-runtime             1.41.3-1        universally unique id library
ii  wget                     1.11.4-2+lenny1 retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
ii  squashfs-tools                1:3.3-7    Tool to create and append to squas
[live.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#570162; Package live-initramfs. (Sun, 14 Mar 2010 22:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 14 Mar 2010 22:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 570162@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 570162-sumitter@bugs.debian.org
Cc: 570162@bugs.debian.org
Subject: live-initramfs: persistent-path parameter does not work for snapshot files
Date: Sun, 14 Mar 2010 23:03:12 +0100
tag 570162 pending
thanks

applied in git, thank you.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 22:06:13 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 14 Mar 2010 22:51:14 GMT) Full text and rfc822 format available.

Notification sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 22:51:14 GMT) Full text and rfc822 format available.

Message #17 received at 570162-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 570162-close@bugs.debian.org
Subject: Bug#570162: fixed in live-initramfs 1.173.5-1
Date: Sun, 14 Mar 2010 22:47:40 +0000
Source: live-initramfs
Source-Version: 1.173.5-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.173.5-1.diff.gz
  to main/l/live-initramfs/live-initramfs_1.173.5-1.diff.gz
live-initramfs_1.173.5-1.dsc
  to main/l/live-initramfs/live-initramfs_1.173.5-1.dsc
live-initramfs_1.173.5-1_all.deb
  to main/l/live-initramfs/live-initramfs_1.173.5-1_all.deb
live-initramfs_1.173.5.orig.tar.gz
  to main/l/live-initramfs/live-initramfs_1.173.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570162@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 23:27:57 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.173.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 521129 545842 570100 570162
Changes: 
 live-initramfs (1.173.5-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating contact information in copyright file.
   * Simplyfing initramfs triggers (Closes: #521129, #545842).
   * Wrapping fields in control file.
   * Using minimized rules file.
   * Simplifying wording in bug-presubj file.
 .
   [ Andreas Teuchert ]
   * Calling udevadm settle in scripts/init-premount/select_eth_device
     (Closes: #570100).
 .
   [ Tanguy Ortolo ]
   * Also respecting persistent-path parameter for snapshots (Closes:
     #570162).
Checksums-Sha1: 
 d488d4d00413166b680ea868b4dcc2ec7d68f8bf 1300 live-initramfs_1.173.5-1.dsc
 24f0c0060a1c6dc89fde44121e2b355d9d1b27d6 87863 live-initramfs_1.173.5.orig.tar.gz
 7f1c9e57a2e293b5c4e7ea323ded084182517f46 32548 live-initramfs_1.173.5-1.diff.gz
 cd57bfb9b31af90e506d9ca1441a80611cdfd2f5 100002 live-initramfs_1.173.5-1_all.deb
Checksums-Sha256: 
 de91bb85373dcd6cec559dfe1cbba6ae152e6cf1c930c2db49abf112d4427e84 1300 live-initramfs_1.173.5-1.dsc
 3ddd19d843f4990e64becd0208e8285fb5fd89baba1a5bf79ec8f0342ef6844a 87863 live-initramfs_1.173.5.orig.tar.gz
 03f27c8caec0dbf54d2ace623823a1412f84170f0b28ce99abf5423f618380b2 32548 live-initramfs_1.173.5-1.diff.gz
 0a97deb015484049854414700cfa7e773be97f34f14ec32e740927901724fd0e 100002 live-initramfs_1.173.5-1_all.deb
Files: 
 58f39935471678ee1db0d30d453c98c0 1300 misc optional live-initramfs_1.173.5-1.dsc
 1972b815457e9e81790092ac30313bb9 87863 misc optional live-initramfs_1.173.5.orig.tar.gz
 8009dca5f1125e72465f91857f86bd40 32548 misc optional live-initramfs_1.173.5-1.diff.gz
 cb7f4263ceed2fef359b12baca9ada12 100002 misc optional live-initramfs_1.173.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudY3EACgkQ+C5cwEsrK56MxgCdGGGF8hlGmgLVtx9SGIdTLQL4
UXAAoJ0QV4uL3/P2tGtXcJGfwK7VMZxa
=LWFl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 07:37:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:59:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.